# $Revision: 1.58 $, $Date: 2008/07/27 22:27:39 $
Summary:	GNOME HTTP client library
Summary(es.UTF-8):	Biblioteca cliente HTTP del GNOME
Summary(ko.UTF-8):	GNOME HTTP 클라이언트 라이브러리
Summary(pl.UTF-8):	Biblioteka funkcji klienta HTTP
Summary(pt_BR.UTF-8):	Biblioteca cliente para HTTP do GNOME
Summary(ru.UTF-8):	Библиотека HTTP-клиента для GNOME
Summary(uk.UTF-8):	Бібліотека HTTP-клієнта для GNOME
Name:		libghttp
Version:	1.0.9
Release:	11
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libghttp/1.0/%{name}-%{version}.tar.gz
# Source0-md5:	0690e7456f9a15c635f240f3d6d5dab2
Patch0:		%{name}-ac.patch
Patch1:		%{name}-fixlocale.patch
Patch2:		%{name}-ssl.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for making HTTP 1.1 requests.

%description -l es.UTF-8
Biblioteca cliente HTTP 1.1 del GNOME.

%description -l pl.UTF-8
Biblioteka funkcji umożliwiających realizację zapytań HTTP 1.1.

%description -l pt_BR.UTF-8
Biblioteca cliente para HTTP 1.1 do GNOME.

%description -l ru.UTF-8
Библиотека для исполнения HTTP 1.1 запросов.

%description -l uk.UTF-8
Бібліотека для виконання HTTP 1.1 запитів.

%package devel
Summary:	GNOME HTTP client development
Summary(es.UTF-8):	Biblioteca cliente HTTP 1.1 del GNOME - desarrollo
Summary(ko.UTF-8):	GNOME HTTP 클라이언트 개발에 필요한 라이브러리와 헤더 파일
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe libghttp
Summary(pt_BR.UTF-8):	Componentes para desenvolvimento com o cliente HTTP do GNOME.
Summary(ru.UTF-8):	Разработка HTTP-клиентов под GNOME
Summary(uk.UTF-8):	Розробка HTTP-клієнтів під GNOME
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Libraries and includes files you can use for libghttp development.

%description devel -l es.UTF-8
Biblioteca cliente HTTP 1.1 del GNOME - desarrollo.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe potrzebne do programowania z
wykorzystaniem libghttp.

%description devel -l pt_BR.UTF-8
Componentes para desenvolvimento com o cliente HTTP do GNOME.

%description devel -l ru.UTF-8
Хедеры для разработки программ с использованием libghttp.

%description devel -l uk.UTF-8
Хедери для розробки програм з використанням libghttp.

%package static
Summary:	GNOME HTTP client static library
Summary(pl.UTF-8):	Statyczna biblioteka libghttp
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com libghttp
Summary(ru.UTF-8):	Разработка HTTP-клиентов под GNOME - статические библиотеки
Summary(uk.UTF-8):	Розробка HTTP-клієнтів під GNOME - статичні бібліотеки
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	openssl-devel

%description static
GNOME HTTP client static library.

%description static -l pl.UTF-8
Wersja statyczna biblioteki libghttp.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com libghttp.

%description static -l ru.UTF-8
Статические библиотеки для разработки программ с использованием
libghttp.

%description static -l uk.UTF-8
Статичні бібліотеки для розробки програм з використанням libghttp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-ssl
%{__make} \
	libghttp_la_LIBADD="-lssl -lcrypto"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install http_*.h $RPM_BUILD_ROOT%{_includedir}/ghttp-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libghttp.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ghttpConf.sh
%attr(755,root,root) %{_libdir}/libghttp.so
%{_libdir}/libghttp.la
%{_includedir}/ghttp*.h
%{_includedir}/ghttp-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libghttp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libghttp.spec,v $
Revision 1.58  2008/07/27 22:27:39  arekm
- release 11

Revision 1.57  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.55  2005/03/29 17:57:09  qboosh
- added ssl patch (SSL support from CVS), spec updates, release 10

Revision 1.54  2004/10/29 09:27:53  paladine
- "HTTP" and "HTTPS" unification

Revision 1.53  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.52  2004/04/29 14:42:25  adgor
- Strict internal deps

Revision 1.51  2004/04/26 16:43:40  adamg
- release 9 for Ac (8 is for Ra)

Revision 1.50  2003/06/24 05:45:29  qboosh
- merged lost changes:
  Revision 1.48  2003/05/24 11:33:35  qboosh
  - removed bogus es "translations"

  Revision 1.47  2003/05/24 10:05:26  kloczek
  - relase 8,
  - merge translations from KSI and Conectiva,
  - added fixlocale patch stolen from MDK which was stolen from gnome cvs:
    fix HTTP numbering (due to use of locale in sprintf).

Revision 1.49  2003/06/23 20:29:06  jareq
- fixed epoch:version issue

Revision 1.48  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.47  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/01/20 09:00:30  trojan
- added patch for proper ac regeneration

Revision 1.45  2003/01/15 13:14:10  qboosh
- updated Source0 URL

Revision 1.44  2002/11/25 14:16:52  ankry
- massive attack: no need for 755 for *.la

Revision 1.43  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.42  2002/08/16 13:25:02  qboosh
- added http_*.h headers in subdirectory (needed by some programs)
- new %%doc, release 5

Revision 1.41  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.40  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/09/28 03:01:01  kloczek
- release 4.

Revision 1.35  2001/09/26 11:56:47  qboosh
- BuildRequires: autoconf, automake, libtool

Revision 1.34  2001/08/12 18:55:37  blues
- release 3
- ac 2.5 ready
- adapterized + cosmetics

Revision 1.33  2001/04/28 18:32:22  kloczek
- bump release to 2.

Revision 1.32  2001/01/23 03:43:31  kloczek
- updated to 1.0.9.

Revision 1.31  2000/12/06 14:37:16  kloczek
- updated to 1.0.8,
- added %%{_libdir}/*.sh to devel.

Revision 1.30  2000/10/23 21:14:14  kloczek
- release 3, Epoch 1 (for allow upgrade from RH 7).

Revision 1.29  2000/10/19 03:01:09  kloczek
- release 2: use new rpm automation.

Revision 1.28  2000/08/16 16:07:49  kloczek
- updated to 1.0.7.

Revision 1.27  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.26  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.24  2000/05/03 22:41:00  kloczek
- updated to 1.0.6,
- prefix changed to /usr because this is not stricte X11 library.

Revision 1.23  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.22  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.21  2000/03/06 05:10:23  kloczek
- updated to 1.0.5,
- spec adapterized,
- License changed to LGPL,
- fixed Source url.

Revision 1.20  1999/12/07 10:33:11  kloczek
- updated Source url (base now is ftp://ftp.gnome.org/pub/GNOME/sources/).

Revision 1.19  1999/07/15 19:57:03  kloczek
- added lib*.la files to devel.

Revision 1.18  1999/07/15 19:52:08  kloczek
- added using %%configure macro.

Revision 1.17  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue May 25 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.0.2-1]
- added using macros in spec.

* Sun Mar 14 1999 Michał Kuratczyk <kura@pld.org.pl>
  [0.99-2]
- added Group(pl),
- added gzipping documentation.
